#ifndef MISC_HEADER
#define MISC_HEADER


#define MAX_DBL 1e30                       /* Infinity                     */
#define EPSILON 1e-8                       /* +/-0                         */
#define MAXOBJS   4000                     /* Total # of objects allowed   */
#define MAXMATS   20                       /* Total # of materials allowed */
#define MAXLIGHTS 50                       /* Total # of lights allowed    */
#define MAXFNAME 256                       /* maximum filename length      */
#define MAXDEPTH 5                         /* total recursion depth        */
#define MAXVERTS 10                        /* Max # verts/face             */
#define MAXPOINTS 50000                    /* Max # points                 */

#ifndef ABS
#define ABS(a) ((a<0) ? (-(a)) : (a))
#endif
#ifndef MIN
#define MIN(a,b) (a < b ? a : b)
#endif
#ifndef MAX
#define MAX(a,b) (a > b ? a : b)
#endif

#endif
