#ifndef POLY_HEADER
#define POLY_HEADER
#include "misc.h"
#include "object.h"

class Poly:public Object 
{
  private:

    int m_num;               // number of points 
    int *m_points;           // indices to points
    double *m_ptlst;         // pointer to point list 

    Vect m_normal;           // normal to plane

    double m_d;              // plane coeff
    int m_proj_axis;         // which axis to project

  public:
    Poly(int n, int *ixarray, double *pointlist);
    double intersect(Vect &u, Vect &v);
    Vect getNormal(Vect &location);
};
#endif
