#ifndef RENDER_HEADER
#define RENDER_HEADER

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include "t_ray.h"

extern "C"
{
gboolean render_expose_cb(GtkWidget *widget, GdkEventExpose *event,
                          TRaytracer *ray);

gint render_time_cb(GtkWidget *widget, TRaytracer *ray);

void init_render(GtkWidget *widget, GtkWidget *appbar, TRaytracer *ray);

void render_start();

void render_screen(GtkWidget *widget, TRaytracer *ray);
}

#endif
