#ifndef SPHERE_HEADER
#define SPHERE_HEADER
#include "object.h"

class Sphere:public Object {

  double m_r;         // radius
  Vect m_c;           // center  

  public:
  Sphere(Vect& c, double r);
  double intersect(Vect& start, Vect& dir);
  Vect getNormal(Vect& location); 
};
#endif
